#include<bits/stdc++.h>
#define PRINT(x) cerr<<#x<<'='<<x<<endl;
#define NL(x) " \n"[(x)]
#define lld long long
#define pil pair<int,lld>
#define pli pair<lld,int>
#define pll pair<lld,lld>
#define pii pair<int,int>
#define pb push_back
#define fi first
#define se second
#define mid (l+r)/2
#define endl '\n'
#define all(a) begin(a),end(a)
#define sz(a) int((a).size())
#define LINF 1000000000000000LL
#define INF 1000000000
#define EPS 1e-9
using namespace std;
vector<int> r, c;

int main() {
    ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);cerr.tie(0);
    int N; cin >> N;
    r.pb(-1); c.pb(-1);
    for(int i = 1; i <= N; i++) {
        int R, C; cin >> R >> C;
        r.pb(R); c.pb(C);
    }
    sort(all(r));
    sort(all(c));
    lld rez = 0;
    for(int i = 1; i <= N; i++) rez += abs(r[i]-i) + abs(c[i]-i);
    cout << rez;
    return 0;
}